[CentOS] yum "Requires" yum-plugin-fastestmirror; why?

Warren Young wyml at etr-usa.com
Mon Jun 20 14:43:20 UTC 2016


On Jun 18, 2016, at 4:39 AM, Ned Slider <ned at unixmail.co.uk> wrote:
> 
> On 17/06/16 20:04, Warren Young wrote:
>> 
>> I realize it is in the CentOS project’s best interest if users always use the fastest mirror when downloading, but I claim that it is a bug to mark any plugin as Requires, particularly when upstream does not.
> 
> Personally, I'm firmly in favour of having fastestmirror plugin as a dependency in yum as it will benefit the vast majority of people IMHO.

As I said, I am in favor of having the plugin installed by default.  However, making it a dependency of yum is not the only way to do that.  It could be moved into the Base package set.  Then someone who doesn’t want it can remove it.


More information about the CentOS mailing list